.popup {
    display: block;
    position: fixed;
    z-index: 10000;
    top: 0;
    left: 0;
    width: 0;
    height: 0;
    transition: opacity .3s ease-in-out;
    overflow-y: auto;
    background-color: rgba(0,0,0,.7);
    opacity: 0;

    &.is-opened {
        width: 100%;
        height: 100%;
        opacity: 1;
    }

    &.is-hide {
        width: 100%;
        height: 100%;
        opacity: 0;
        overflow-y: hidden;
    }

    &.centered-popup {

        .popup__wrap {
            align-items: center;
        }
    }

    &__wrap {
        display: flex;
        align-items: flex-start;
        justify-content: center;
        z-index: 2;
        min-height: 100%;
        min-width: 320px;
        padding: 48px 16px;

        @include lg {
            padding: 50px 16px;
        }
    }

    &__content {
        position: relative;
        width: 100%;
        max-width: 730px;
        margin: auto;
        padding: 34px 22px 54px;
        background-color: #fff;
        border-radius: 10px;

        @include lg {
            padding: 0 22px 51px;
        }
    }

    &__scrollbar-measure {
        position: absolute;
        top: -9999px;
        width: 100px;
        height: 100px;
        overflow: scroll;
    }

    &__close {
        @include btnReset;
        display: flex;
        align-items: center;
        justify-content: center;
        z-index: 10;
        position: absolute;
        top: 20px;
        right: 20px;
        width: 32px;
        height: 32px;
        cursor: pointer;
        transition: opacity .3s ease;

        &:hover {
            opacity: .8;
        }
    }
}

@import "popup-application";
@import "popup-thanks";
